
export Parafin

struct Parafin <: Fluid
    name::Symbol
    ρ::Float64
    cₚ::Float64
    μ::Float64
    k::Float64

    function Parafin()
        MM=170.33484
        # Acording to Lemmon2004 for dodecane
        Tc=658.1
        Pc=1.817E6
        ω=0.574182221240689

        new(
            :Parafin,
            803.2269519969861,
            373.30/MM*1000.0,
            0.00134,
            9999.0,
        )

    end
end

function rho(P,T,fluid::Parafin)
    A=[6.9692,3.35E-5,-5E-10]
    B=[-3.46E-3,-1.64E-8,2E-13]
    Ppsia=P*pascal_to_psi
    TFar=(T-273.15)*(9/5)+32
    Pv=[1 Ppsia Ppsia^2]
    return (dot(A,Pv)+dot(B,Pv)*TFar)*ppg_to_SI
end
